// --------------------------------------------------------------------------
// Header
// --------------------------------------------------------------------------


.header {
	position: relative;
	z-index: 1000;
	background: #fff;
	box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
	& > .container-fluid {
		position: relative;
		display: flex;
		flex-wrap: wrap;
	}

	
	@include breakpoint(md) {
		box-shadow: none;
		& > .container-fluid {
			padding: 0 25px;
			&:after {
				content: '';
				display: block;
				position: absolute;
				top: 100%;
				left: 0;
				right: 0;
				border-bottom: 1px solid#DEDEDE;
			}
		}
	}

	@include breakpoint(lg) {
		
		& > .container-fluid {
			padding: 0 55px;
			&:after {
				top: 54px;
				left: 170px;
				right: 20px;
	
			}
		}
	}
	@include breakpoint(xl) {
		border-bottom: 1px solid #DEDEDE;
		& > .container-fluid {
			padding: 0 40px;
			flex-wrap: nowrap;
			&:after {
				left: 274px;
				top: 46px;
				border-color: #00757E;
			}
		}
	}
}

.header__logo {
	height: 50px;
	width: 100px;
	margin: 0 auto 0 0;
	display: flex;
	align-items: center;
	flex: 0 0 100px;
	img {
		display: block;
		max-width: 100%;
		max-height: 100%;
	}

	@include breakpoint(md) {
		height: 54px;
		width: 135px;
		flex: 0 0 135px;
	}
	@include breakpoint(xl) {
		padding: 32px 0 40px;
		margin: 0 50px 0 0;
		flex: 0 0 204px;
		width: 204px;
		height: 124px;
		max-width: 204px;
	}
}

// --------


.header__topbar {
	position: absolute;
	top: 0;
	right: 20px;
	height: 50px;
	display: flex;
	align-items: center;
	@include breakpoint(md) {
		height: 54px;
	}
	@include breakpoint(xl) {
		height: 46px;
	}
}

.header__topbar-contacts {
	

	margin: 0 -3px;
	padding: 0;
	list-style: none;
	display: flex;
	align-items: center;

	font-size: 15px;
	line-height: 20px;
	font-weight: 700;

	& > li {
		padding: 0 3px;
	}

	@include breakpoint(md) {
		height: 54px;
		font-size: 16px;
		margin: 0 -6px;
		&> li {
			padding: 0 6px;
		}
	}

	@include breakpoint(lg) {
		margin: 0 -10px;
		& > li {
			padding: 0 10px;
		}
	}
}

.header__topbar-link {
	text-decoration: none;
	color: #00757E;
	&:hover {
		text-decoration: none;
		color: #00757E;
	}
}

.header__topbar-action {
	display: none;
	@include breakpoint(md) {
		display: block;
		margin: 0 0 0 36px;
	}
	@include breakpoint(lg) {
		margin: 0 0 0 28px;
	}
	@include breakpoint(xl) {
		display: none;
	}
}

.header__topbar-worktime {
	display: none;
	@include breakpoint(xl) {
		display: block;
		margin: 0 0 0 36px;
		font-size: 13px;
		line-height: 1.2;
		font-weight: 400;
		color: #7B7B7B;
	}
}

// -----

.header__worktime {
	position: relative;
	z-index: 1;
	display: block;
	margin: 0;
	padding: 0 20px;
	
	text-align: center;
	font-size: 12px;
	line-height: 26px;
	font-weight: 400;
	color: #00757E;
	flex: 1;
	min-width: 100%;
	&:after {
		content: '';
		display: block;
		background: #F6F9FB;
		position: absolute;
		top: 0;
		bottom: 0;
		left: 50%;
		width: 100vw;
		margin: 0 0 0 -50vw;
		z-index: -1;
	}

	@include breakpoint(lg) {
		order: 1;
	}
	@include breakpoint(xl) {
		display: none;
	}
}

// --------

.header__nav {
	flex: 0 0 100%;
	max-width: 100%;
	@include breakpoint(md) {
		display: flex;
	}
	@include breakpoint(xl) {
		flex: 1;
		padding: 54px 0 0;
	}
	

}


.header__nav-menu {
	position: relative;
	margin: 0 -20px;
	padding: 0 20px;
	list-style: none;
	display: flex;

	font-size: 12px;
	line-height: 20px;
	font-weight: 700;
	text-transform: uppercase;
	white-space: nowrap;

	height: 42px;

	overflow-x: auto;

	&::-webkit-scrollbar {
		display: none;
	}

	& > li {
		height: inherit;
		padding: 0 28px 0 0;
	}

	@include breakpoint(md) {
		overflow: visible;
		flex: 1;
		font-size: 11px;
		margin: 0 -12px;
		padding: 0;
		& > li {
			padding: 0 12px;
		}
	}

	@include breakpoint(lg) {
		margin: 0 -20px;
		font-size: 14px;
		height: 54px;
		& > li {
			padding: 0 20px;
		}
	}

	@include breakpoint(xl) {
		margin: 0 -15px;
		font-size: 13px;
		& > li {
			padding: 0 15px;
		}
	}
	
}

.header__nav-link {
	height: inherit;
	display: flex;
	align-items: center;
	text-decoration: none;
	color :#333;

	svg {
		margin: 0 0 0 10px;
		color: #868989;
		transition: transform 0.25s;
	}
	&:hover {
		text-decoration: none;
		color: #00757E;
	}
	&.is-open {
		color: #00757E;
		svg {
			transform: rotate(180deg);
		}
	}

	
}
.nav-link-active{
	text-decoration: none;
	color: #00757E;
}

.is-open .header__nav-link {
	color: #00757E;
	svg {
		transform: rotate(180deg);
	}
}

.header__nav-dropdown {
	position: absolute;
	top: 100%;
	left: 0;
	right: 0;
	background: #F6F9FB;
	border-bottom: 1px solid #DEDEDE;
	border-top: 1px solid #DEDEDE;
	z-index: 1000;

	transition: 0.25s;
	opacity: 0;
	visibility: hidden;

	&:after {
		content: '';
		display: block;
		position: absolute;
		bottom: 100%;
		left: 0;
		right: 0;
		height: 42px;
		z-index: 100;
	}


	&.is-open {
		opacity: 1;
		visibility: visible;
	}
	@include breakpoint(md) {
		&:after {
			display: none;
		}
	}
	@include breakpoint(lg) {
		left: 50%;
		right: auto;
		width: 100vw;
		margin: -26px 0 0 -50vw;
	}
	@include breakpoint(xl) {
		margin-top: 0;
		// margin: 0;
		&:after {
			display: block;
			height: 32px;
		}
	}
	.container-fluid {
		padding: 0 20px;
		@include breakpoint(md) {
			padding: 0 25px;
		}
	}

	.row {
		margin: 0 -30px;
		& > [class^="col"] {
			padding: 20px 30px;
			position: relative;
			z-index: 1;
			&:first-of-type {
				&:after {
					content: '';
					display: block;
					position: absolute;
					top: 0;
					bottom: 0;
					left: 50%;
					width: 100vw;
					margin: 0 0 0 -50vw;
					background: #fff;
					z-index: -1;
				}
				@include breakpoint(md) {
					&:after {
						left: auto;
						right: 0;
						margin: 0;
					}
				}
			}
		}
	}


}

.header__nav-submenu {
	margin: 0;
	padding: 0;
	list-style: none;

	font-size: 14px;
	line-height: 20px;
	font-weight: 400;

	& > li {
		margin: 0 0 20px;
		vertical-align: top;
		&:last-child {
			margin: 0;
		}
	}

	&--01 {
		columns: 2;
		column-gap: 28px;
	}

	&--02 {
		
	}
	@include breakpoint(xl) {
		&--02 {
			columns: 2;
			column-gap: 28px;
		}
	}
}

.header__nav-sublink {
	text-decoration: none;
	color: #333333;
	&:hover {
		color: #00757E;
		text-decoration: none;
	}
	&.is-active {
		font-weight: 700;
		color: #00757E;
	}
}

.header__nav-action {
	position: relative;
	margin: 0 -20px;
	padding: 0 20px;
	list-style: none;
	display: flex;
	align-items: center;
	height: 42px;

	white-space: nowrap;

	overflow-x: auto;

	&::-webkit-scrollbar {
		display: none;
	}

	& > li {
		padding: 0 28px 0 0;
	}

	@include breakpointMax(md) {

		.ui-btn {
			padding: 0;
			border: none;
			background: none;
		}
		.ui-btn--link {
			color: #868989;
		}
		.ui-btn--outline {
			color: #00757E;
		}
		
	}

	@include breakpoint(md) {
		overflow: visible;
		margin: 0 -9px;
		padding: 0;
		& > li {
			padding: 0 9px;
			&:last-child {
				display: none;
			}
		}
	}

	@include breakpoint(lg) {
		height: 54px;
		margin: 0 -20px;
		& > li {
			padding: 0 20px;
		}
	}

	@include breakpoint(xl) {
		margin: 0 -10px;
		& > li {
			padding: 0 10px;
			&:last-child {
				display: block;
			}
		}
	}
}